Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStreamer::StreamArray Class Reference

`#include <vtkStreamer.h>`

Collaboration diagram for vtkStreamer::StreamArray:

[legend]
List of all members.

## Public Methods
| StreamArray ()
| ~StreamArray ()
vtkIdType | GetNumberOfPoints ()
StreamPoint * | GetStreamPoint (vtkIdType i)
vtkIdType | InsertNextStreamPoint ()
StreamPoint * | Resize (vtkIdType sz)
void | Reset ()
## Public Attributes
StreamPoint * | Array
vtkIdType | MaxId
vtkIdType | Size
vtkIdType | Extend
float | Direction

## Constructor & Destructor Documentation

vtkStreamer::StreamArray::StreamArray | ( |  | ) |

vtkStreamer::StreamArray::~StreamArray | ( |  | ) | `[inline]`

| Definition at line 254 of file vtkStreamer.h.

## Member Function Documentation

vtkIdType vtkStreamer::StreamArray::GetNumberOfPoints | ( |  | ) | `[inline]`

| Definition at line 261 of file vtkStreamer.h. References vtkIdType.

StreamPoint* vtkStreamer::StreamArray::GetStreamPoint | ( | vtkIdType | i | ) | `[inline]`

| Definition at line 262 of file vtkStreamer.h. References vtkIdType.

vtkIdType vtkStreamer::StreamArray::InsertNextStreamPoint | ( |  | ) | `[inline]`

| Definition at line 263 of file vtkStreamer.h. References vtkIdType.

StreamPoint* vtkStreamer::StreamArray::Resize | ( | vtkIdType | sz | ) |

void vtkStreamer::StreamArray::Reset | ( |  | ) | `[inline]`

| Definition at line 272 of file vtkStreamer.h.

## Member Data Documentation

StreamPoint* vtkStreamer::StreamArray::Array

| Definition at line 274 of file vtkStreamer.h.

vtkIdType vtkStreamer::StreamArray::MaxId

| Definition at line 275 of file vtkStreamer.h.

vtkIdType vtkStreamer::StreamArray::Size

| Definition at line 276 of file vtkStreamer.h.

vtkIdType vtkStreamer::StreamArray::Extend

| Definition at line 277 of file vtkStreamer.h.

float vtkStreamer::StreamArray::Direction

| Definition at line 278 of file vtkStreamer.h.

The documentation for this class was generated from the following file:

- Graphics/vtkStreamer.h